package cz.muni.fi.pa165;

import cz.muni.fi.pa165.user.UserDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.ParameterizedTypeReference;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import java.util.Objects;

@Service
public class LoginService {

    private final RestTemplate restTemplate;
    private final String userServiceUrl = "http://localhost:8080/users/";

    @Autowired
    public LoginService(RestTemplate restTemplate) {
        this.restTemplate = restTemplate;
    }

    public String login(String userName, String password) {
        ResponseEntity<UserDto> response = restTemplate.exchange(
                userServiceUrl + userName,
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<>() {});
        var user = response.getBody();
        if (user != null && Objects.equals(user.getPassword(), password)) {
            return "success";
        }
        // TODO authenticate user
        return "fail";
    }
}
