package cz.muni.fi.pa165;

import cz.muni.fi.pa165.movie.MovieDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.web.client.RestTemplateBuilder;
import org.springframework.core.ParameterizedTypeReference;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import java.util.List;

@Service
public class RecommenderService {

    private final RestTemplate restTemplate;
    private final String movieServiceUrl = "http://localhost:8080/movies";

    @Autowired
    public RecommenderService(RestTemplate restTemplate) {
        this.restTemplate = restTemplate;
    }

    public List<MovieDto> getSimilarMovies(long movieId) {
        ResponseEntity<List<MovieDto>> response = restTemplate.exchange(
                movieServiceUrl,
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<>() {});
        // TODO get similar movies
        var list = response.getBody();
        return list;
    }
}
